import { http } from "@/utils/http";

type addDept = {
  code: number;
  msg: string;
  data: boolean;
};
type addDeptList = {
  code: number;
  msg: string;
  data: Array<any>;
};

export const postAddDept = data => {
  return http.request<addDept>("post", "/sysDept/addDept", { data });
};
export const postDelDept = data => {
  return http.request<addDept>("post", "/sysDept/delDept", { data });
};
export const postListTree = () => {
  return http.request<addDeptList>("post", "/sysDept/listTree");
};
export const postUpdateDept = data => {
  return http.request<addDept>("post", "/sysDept/updateDept", { data });
};
