import { http } from "@/utils/http";

type ResultList = {
  code: number;
  msg: string;
  data: Array<any>;
};

export const getMenuList = () => {
  return http.request<ResultList>("get", "/sysMenu/menuList");
};
export const getMenuListCodeForRole = data => {
  return http.request<ResultList>("get", "/sysMenu/menuListCodeForRole", {
    data
  });
};
