import { http } from "@/utils/http";

type pageRole = {
  code: number;
  msg: string;
  data: boolean;
};
type pageRoleList = {
  code: number;
  msg: string;
  data: Array<any>;
};

export const postPageRole = data => {
  return http.request<pageRoleList>("post", "/sysRole/pageRole", { data });
};
export const postDelRole = data => {
  return http.request<pageRole>("post", "/sysRole/delRole", { data });
};
// 添加角色信息
export const postAddRole = data => {
  return http.request<pageRole>("post", "/sysRole/addRole", { data });
};
// 修改角色名称
export const postUpdateRole = data => {
  return http.request<pageRole>("post", "/sysRole/updateRole", { data });
};
// 查询角色下用户
export const postPageUserByRole = data => {
  return http.request<pageRoleList>("post", "/sysRole/pageUserByRole", {
    data
  });
};
