import { http } from "@/utils/http";
// 用户设置
type addDept = {
  code: number;
  msg: string;
  data: boolean;
};
type userList = {
  code: number;
  msg: string;
  data: Array<any>;
};

// 查询用户列表
export const postUserList = data => {
  return http.request<userList>("post", "/user/userList", { data });
};
// 查看不同组织架构下用户
export const postOrganizationUserPage = data => {
  return http.request<userList>("post", "/user/organizationUserPage", { data });
};
// 组织架构关联动作
export const postAssignmentUser = data => {
  return http.request<addDept>("post", "/user/assignmentUser", { data });
};
